<?php
/*
UserCake Version: 2.0.2
http://usercake.com
*/
require_once("models/config.php");
if (!securePage($_SERVER['PHP_SELF'])){die();}

//Forms posted
if(!empty($_POST))
{
	$errors = array();
	$username = sanitize(trim($_POST["username"]));
	$password = trim($_POST["password"]);
	
	//Perform some validation
	//Feel free to edit / change as required
	if($username == "")
	{
		$errors[] = lang("ACCOUNT_SPECIFY_USERNAME");
	}
	if($password == "")
	{
		$errors[] = lang("ACCOUNT_SPECIFY_PASSWORD");
	}

	if(count($errors) == 0)
	{
		//A security note here, never tell the user which credential was incorrect
		if(!usernameExists($username))
		{
			$errors[] = lang("ACCOUNT_USER_OR_PASS_INVALID");
		}
		else
		{
			$userdetails = fetchUserDetails($username);
			//See if the user's account is activated
			if($userdetails["active"]==0)
			{
				$errors[] = lang("ACCOUNT_INACTIVE");
			}
			else
			{
				//Hash the password and use the salt from the database to compare the password.
				$entered_pass = generateHash($password,$userdetails["password"]);
				
				if($entered_pass != $userdetails["password"])
				{
					//Again, we know the password is at fault here, but lets not give away the combination incase of someone bruteforcing
					$errors[] = lang("ACCOUNT_USER_OR_PASS_INVALID");
				}
				else
				{
					//Passwords match! we're good to go'
					
					//Construct a new logged in user object
					//Transfer some db data to the session object
					$loggedInUser = new loggedInUser();
					$loggedInUser->email = $userdetails["email"];
					$loggedInUser->user_id = $userdetails["id"];
					$loggedInUser->hash_pw = $userdetails["password"];
					$loggedInUser->title = $userdetails["title"];
					$loggedInUser->displayname = $userdetails["display_name"];
					$loggedInUser->username = $userdetails["user_name"];
					
					//Update last sign in
					$loggedInUser->updateLastSignIn();
					$_SESSION["userCakeUser"] = $loggedInUser;
					
					//Redirect to user account page
					
					if(!isset($_SESSION['redirect_url']))
                    {
                        header("Location: index.php");
                        die();    
                    }
                    else
                    {
                        $url = $_SESSION['redirect_url'];   
                        header("Location: " . $url);
                        die();    
                    } 
					
				}
			}
		}
	}
}

require_once("models/header.php");
include("main-nav.php");
?>

<section>

<?php if(!isUserLoggedIn()) : ?>
	<div class="home-login">
		<?php echo resultBlock($errors,$successes); ?>
    <div id='regbox'>
    <form name='login' action='<?php echo $_SERVER['PHP_SELF']; ?>' method='post'>
    <p>
    <label>Korisničko ime:</label><br />
    <input type='text' name='username' />
    </p>
    <p>
    <label>Lozinka:</label><br />
    <input type='password' name='password' />
    </p>
    <p>
    <input type='submit' value='Login' class='submit' />
    </p>
    <p style="margin: 0;">
    <a href='register.php'>Registrujte se</a>
    </p>
    <p style="margin: 0;">
    <a href='forgot-password.php'>Zaboravili ste lozinku?</a>
    </p>
    </form>
    
    </div>
  </div>
<?php endif; ?> 

<p>Kada ste poslednji put  podeli Coca-Cola radost sa drugom, komšijom, Milenom, rokerom, bratom, Markom, cimerom, mamom, tviterašem… ili ovoga puta sa  kolegom?</p>

<p>Nova Coca-Cola kampanja "Connect" sa zanimljivom aktivacijom na svim Coca-Cola pakovanjima omogućava nam  da podelimo radosne trenutke sa dragim ljudima u našem okruženju. Još jednom Coca-Cola želi da nas podseti da su nezaboravni trneutci sa prijateljima i porodicom nešto najvrednije što imamo.</p> 

<p>Za početak podelite Coca-Cola radost sa kolegama!</p>

<p>U želji da zabeležimo različite zanimljive trenutke koje svakodnevno provodimo sa našim kolegama otvorili smo <strong>interno foto takmičenje za naše zaposlene pod nazivom "Podeli radost, Coca-Cola, ti i kolege"</strong>.</p>

<p>Ovo takmičenje namenjeno je svim zaposlenima u Coca-Cola Hellenic sistemu, kao i svim kolegama iz Fresha i Vlasinke koji žele da nam pokažu kako dele Coca-Cola radost sa svojim kolegama. Zajedničkim glasanjem biće izabrane i nagrađene najbolje fotografije koje prikazuju na koji način svakodnevno delimo radost sa kolegama.</p>

<h3>Kako da učestvujete u takmičenju?</h3>
<p>
  1.	<strong>Napravite zanimljivu zajedničku fotografiju</strong> sa jednim kolegom/koleginicom, sa kojim želite. <br />
  2.	<strong>Registrujte se na ovoj stranici i posaljite vašu fotografiju.</strong> Fotografije možete poslati do 20. maja.<br />
  3.	Sve fotografije koje odobri administrator naći će se na ovoj stranici i biće spremne za glasanje.<br />
  4.	Vi kao i svi zaposleni <strong>možete glasati za najbolje fotografije do 26. maja</strong>.<br />
  5.	Možete glasati svakog dana za nekoliko fotografija koje vam se sviđaju, ali maksimalno jedanput po fotografiji u toku dana.<br />
</p>

<h3>NAGRADE koje smo vam spremili:</h3>
<p>
  <strong>1.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MESTO</strong> –  Fotografija sa najviše glasova biće nagrađena digitalnim fotoaparatom<br />
  <strong>2.-5. MESTO</strong> – Paket personalizovanih Coca-Cola konzervi sa imenom po želji
</p>

<p>Pravila takmičenja možete naći <a href="http://homepage.rs/cchellenic/Pravila_foto_konkursa_Podeli_radost_Coca-Cola.pdf" target="_blank">ovde</a>.</p>

<p>Čekamo vaše fotografije!<br />
Podeli radost, Coca-Cola ti i...</p>

<p>Za dodatne informracije u vezi takmičenja možete pisati na <a href="mailto:milica.m.petrovic@cchellenic.com">milica.m.petrovic@cchellenic.com</a>.</p>
 
</section>

<?php require_once("models/footer.php"); ?>